WMNUT(1)

NAME
WMNUT - Dockable UPS Monitor

SYNOPSIS
wmnut [-A T1 T2] [-b BlinkRate] [-B BeepVolume] [-C CriticalLevel] [-d display] [-h] [-l] [-L LowLevel] [-U upsname] [-v] [-V] [-w]

DESCRIPTION

WMNUT is an UPS Monitor. It is used to visually display and interpret details of up to 9 UPSs status via NUT - Network UPS Tools framework.

WMNUT is dockable using WindowMaker and AfterStep window-managers; under other window-managers, WMNUT should be used with "-w" option to appear as a nicely-sized 64x64 application with a background.

WMNUT provides the following information:

- Status of power supply (Blinking Red/Yellow/Green colored meter/battery),

- Percentage of battery remaining (numeric and meter),

- Load level percentage on output (numeric, if available),

- Runtime to empty, ie time left to battery depletion (MM:SS),

- Communication status with UPS (Blinking Red/Green "C").

OPTIONS

-A <T1 T2>
    Send messages to users terminals when Low and critical. T1 is seconds between messages when Low. T2 is seconds between messages when Critical.

-b <BlinkRate>
    Blink rate for red LED. (0 for no blinking.)

-B <Volume>
    Beep at Critical Level. Volume is between -100% to 100%. This function has been disabled, at least temporarily.

-C <CriticalLevel>
    Define level at which red LED turns on.

-d <display>
    Use alternate display.

-h  Display help screen.

-l  Use a low-color pixmap to conserve colors on 8-bit displays.

-L <LowLevel>
    Define level at which yellow LED turns on. CriticalLevel takes precedence if LowLevel<CriticalLevel.

-U <upsname>
    Define upsname ([upsname@]hostname, default is localhost). You can use up to 9 call to -U <upsname> to monitor multiple UPSs.

-v  Print version (includes important WMNUT info).

-V  Verbose mode : display NUT available feature and base value.

-w  Windowed mode (opposite to native withdrawn mode for Window Maker).

BUGS
None are known

AUTHOR
Arnaud Quette <arnaud.quette@free.fr>

Maintained since 2021 by the Network UPS Tools project.